import numpy as np
import matplotlib.pyplot as plt

fig, ax=plt.subplots()
x=np.linspace(0,2*np.pi)

harmOdd=[1,3,5,7,9,11,13,15,17,19,21,23,25]

def synthUpdate(oddHarm):
    sumSin=0
    cnt=oddHarm
    while cnt>0:
        sumSin=sumSin+np.sin(x*cnt)/cnt
        cnt=cnt-2
    return sumSin

for harm in harmOdd:
    y=synthUpdate(harm)
    ax.plot(x, y)
    plt.pause(1)